API referenceTransactions
Get Transaction
GET /company/{id}/transactions/{transactionId}
GET
/company/{id}/transactions/{transactionId}Path Parameters
id*string
The company ID
Length
1 <= lengthtransactionId*string
The transaction ID
Length
1 <= lengthQuery Parameters
includeCategorization?string
Include categorization attribution and history only when "true"; omitted by default
Response Body
application/json
curl -X GET "https://example.com/company/string/transactions/string"{ "id": "string", "amount": { "amount": "string", "currency": "str" }, "descriptor": "string", "timestamp": "string", "memo": "string", "nativeId": "string", "category": "string", "coaKey": "string", "accountId": "string", "status": "Finalized", "actorType": "SYSTEM_ACTOR", "categorization": { "status": "CATEGORIZED", "confirmationStatus": "CONFIRMED", "confirmedAt": "string", "lastHumanConfirmation": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string" }, "detailsConfirmationStatus": "CONFIRMED", "details": [ { "detailId": "string", "coaKey": "string", "status": "CATEGORIZED", "confirmationStatus": "CONFIRMED", "confirmedAt": "string", "attributionStatus": "COMPLETE", "current": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string", "coaKey": "string" }, "original": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string", "coaKey": "string" }, "lastHumanConfirmation": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string" }, "categoryChanges": [ { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string", "coaKey": "string", "previousCoaKey": "string" } ] } ] }, "vendorId": "string", "customerId": "string", "documents": [ { "id": "string", "documentType": "Receipt", "contentType": "string", "downloadInfo": { "signedUrl": "string", "urlExpiresAt": "string" } } ], "classifications": [ { "class": "string", "description": "string", "segments": [ { "id": "string", "segment": "string", "description": "string" } ] } ]}Schema refreshed 2026-11-11T18:57:48.657Z